--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
- !ruby/object:RI::MethodSummary 
  name: parse
comment: 
- !ruby/struct:SM::Flow::P 
  body: "This class provides the following functionality:"
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "Parses RFC2822 address lists into a list of Address objects (see #parse)."
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "Format Address objects as appropriate for insertion into email messages (see #format)."
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "Allows manipulation of the various parts of the address (see #local=, #domain=, #display_name=, #comments=)."
  type: :BULLET
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: ATEXT
  value: "'[\\w=!#$%&\\'*+-?^\\`{|}~]+'"
full_name: RMail::Address
includes: 
- !ruby/object:RI::IncludedModule 
  name: Comparable
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: <=>
- !ruby/object:RI::MethodSummary 
  name: address
- !ruby/object:RI::MethodSummary 
  name: comments
- !ruby/object:RI::MethodSummary 
  name: comments=
- !ruby/object:RI::MethodSummary 
  name: display_name
- !ruby/object:RI::MethodSummary 
  name: display_name=
- !ruby/object:RI::MethodSummary 
  name: domain
- !ruby/object:RI::MethodSummary 
  name: domain=
- !ruby/object:RI::MethodSummary 
  name: eql?
- !ruby/object:RI::MethodSummary 
  name: format
- !ruby/object:RI::MethodSummary 
  name: hash
- !ruby/object:RI::MethodSummary 
  name: local
- !ruby/object:RI::MethodSummary 
  name: local=
- !ruby/object:RI::MethodSummary 
  name: name
- !ruby/object:RI::MethodSummary 
  name: to_str
name: Address
superclass: Object
